#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Queue/include/Statistics.h"

#include <sstream>
using namespace std;

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace queue {


#undef  FUNCTION
#define FUNCTION "Queue::print_body"
  string Statistics::print_body (uint32_t depth)
  {
    log_printf(FUNC,Queue,FUNCTION,"Begin");

    string        tab = string(depth,'\t');
    ostringstream msg;

    msg << tab << "";
    
    log_printf(FUNC,Queue,FUNCTION,"End");

    return msg.str();
  };

}; // end namespace queue
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
